<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 
include_once(G5_PATH."/lib/outlogin.lib.php"); // outlogin() 함수를 사용하여야 하므로 이 프로그램을 포함시킵니다.
// 선택옵션으로 인해 셀합치기가 가변적으로 변함
$colspan = 8;



// 제목이 두줄로 표시되는 경우 이 코드를 사용해 보세요.
// <nobr style='display:block; overflow:hidden; width:000px;'>제목</nobr>
?>

<style>
.board_top { clear:both; }

.board_list { clear:both; width:100%; table-layout:fixed; margin:5px 0 0 0; }
.board_list th { font-size:12px; } 
.board_list th { white-space:nowrap; height:35px; overflow:hidden; text-align:center; } 
.board_list th { border-top:1px solid #ddd; border-bottom:1px solid #ddd; } 

.board_list tr.bg0 { background-color:#fafafa; } 
.board_list tr.bg1 { background-color:#ffffff; } 

.board_list td { padding:.5em; }
.board_list td { border-bottom:0px solid #ddd; } 
.board_list td.num { font-size:11px; color:#888888; font-family:Tahoma; text-align:center; height:35px; }
.board_list td.checkbox { text-align:center; }
.board_list td.subject { font-size:12px; color:#888888; overflow:hidden; text-align:center; }
.board_list td.member { font-size:12px; color:#888888; font-weight:normal;  text-align:right;}
.board_list td.name { font-size:11px; font-weight:normal; padding:0 0 0 20px; }
.board_list td.datetime { font:normal 11px tahoma; color:#BABABA; text-align:center; }
.board_list td.hit { font:normal 11px tahoma; color:#BABABA; text-align:center; }
.board_list td.good { font:normal 11px tahoma; color:#BABABA; text-align:center; }
.board_list td.nogood { font:normal 11px tahoma; color:#BABABA; text-align:center; }

.board_list .notice { font-size:12px; color:#383838; font-weight:bold; }
.board_list .current { font:10px verdana; font-weight:bold; color:#E15916; }
.board_list .comment { font-family:Tahoma; font-size:10px; color:#EE5A00; }

.board_button { clear:both; margin:10px 0 0 0; }

.board_page { clear:both; text-align:center; margin:3px 0 0 0; }
.board_page a:link { color:#777; }

.board_search { text-align:center; margin:10px 0 0 0; }
.board_search .stx { height:20px; border:1px solid #9A9A9A; border-right:1px solid #D8D8D8; border-bottom:1px solid #D8D8D8; padding:4 0 0 5; }
</style>
<?include(G5_PATH."/gnu_lib/menu.php");?>
 
<!-- 게시판 목록 시작 -->
<table width="<?=$width?>" align=center cellpadding=0 cellspacing=0>
    <tr>
	<td width=19% style="padding:5">
	<form name="fwrite" method="post" onsubmit="return fwrite_submit(this);" enctype="multipart/form-data" style="margin:0px;">
<input type=hidden name=bo_table value="<?=$bo_table?>">
<input type="hidden" name="bo_1" value="<?=$board[bo_1]?>">
<input type="hidden" name="bo_2" value="<?=$board[bo_2]?>" >
<input type="hidden" name="bo_3" value="<?=$board[bo_3]?>" >
<input type="hidden" name="bo_4" value="<?=$board[bo_4]?>" >
<input type="hidden" name="bo_5" value="<?=$board[bo_5]?>" >
<input type="hidden" name="bo_6" value="<?=$board[bo_6]?>" >
<input type="hidden" name="bo_7" value="<?=$board[bo_7]?>" >
	<table width=100%  cellpadding="5" cellspacing="0" border="1" align="center" style="border-collapse:collapse; border:1px gray solid;">
<? include(G5_PATH."/gnu_lib/job.php");?>
</form>
  <form name="fboardlist" method="post">
    <input type='hidden' name='bo_table' value='<?=$bo_table?>'>
    <input type='hidden' name='sfl'  value='<?=$sfl?>'>
    <input type='hidden' name='stx'  value='<?=$stx?>'>
    <input type='hidden' name='spt'  value='<?=$spt?>'>
    <input type='hidden' name='page' value='<?=$page?>'>
    <input type='hidden' name='sw'   value=''>

</table></td><td width=1%></td>    <td width=80% valign=top>
<!-- 분류 셀렉트 박스, 게시물 몇건, 관리자화면 링크 -->


   
   

    <table cellspacing="0" cellpadding="0" class="board_list">
    <col width="50" />
    <col width="120" /> 
    <col  />

    <col width="70" />
    <col width="70" />
	<col width="60" />
	<col width="60" />
	<col width="60" />
		<col width="60" />
    <tr>
        <th>번호</th>
        
        <th>코드명</th>
        <th align=center><?=subject_sort_link('wr_subject', $qstr2, 1)?>도서명</a></th>

    
        <th align=center><?=subject_sort_link('datetime2', $qstr2, 1)?>대여일</a></th>
        <th align=center><?=subject_sort_link('wr_2', $qstr2, 1)?>반납일</a></th>
        <th align=center><?=subject_sort_link('wr_3', $qstr2, 1)?>대여자</a></th>
		<th align=center><?=subject_sort_link('wr_4', $qstr2, 1)?>상태</a></th>
	    <th align=center>연체기간</th>
		<th align=center>연체료</th>
			

    </tr>

    <? 
    for ($i=0; $i<count($list); $i++) { 
        $bg = $i%2 ? 0 : 1;
    ?>

    <tr class="bg<?=$bg?>"> 
        <td class="num">
            <? 
            if ($list[$i][is_notice]) // 공지사항 
                echo "<b>공지</b>";
            else if ($wr_id == $list[$i][wr_id]) // 현재위치
                echo "<span class='current'>{$list[$i][num]}</span>";
            else
                echo $list[$i][num];
            ?>
        </td>
        
        <td   align=center><?=$list[$i][wr_1]?></td>
        <td class="subject">
            <? 
            echo $nobr_begin;
            echo $list[$i][reply];
            echo $list[$i][icon_reply];
            if ($is_category && $list[$i][ca_name]) { 
                echo "<span class=small><font color=gray>[<a href='{$list[$i][ca_name_href]}'>{$list[$i][ca_name]}</a>]</font></span> ";
            }

            if ($list[$i][is_notice])
                echo "<a href='{$list[$i][href]}'><span class='notice'>{$list[$i][subject]}</span></a>";
            else
                echo "{$list[$i][subject]}";

            if ($list[$i][comment_cnt]) 
                echo " <a href=\"{$list[$i][comment_href]}\"><span class='comment'>{$list[$i][comment_cnt]}</span></a>";

            // if ($list[$i]['link']['count']) { echo "[{$list[$i]['link']['count']}]"; }
            // if ($list[$i]['file']['count']) { echo "<{$list[$i]['file']['count']}>"; }

            echo " " . $list[$i][icon_new];
            echo " " . $list[$i][icon_file];
         
            echo $nobr_end;
            ?>
        </td>
        <td  align=center><?=$list[$i][datetime]?> </td>
        <td  align=center><?=$list[$i][wr_2]?> </td>
        <td   align=center><?=$list[$i][wr_3]?></td>
      <td   align=center><?=$list[$i][wr_4]?></td>
        <td  align=center>
		<?
		
		if($list[$i][wr_3] == "") {
		 $_date1 = explode("-",date("Y-m-d", strtotime($list[$i][wr_datetime])));
		 $_date2 = explode("-",date("Y-m-d"));

		$tm1 = mktime(0,0,0,$_date1[1],$_date1[2],$_date1[0]);
		 $tm2 = mktime(0,0,0,$_date2[1],$_date2[2],$_date2[0]);

		  $result =  ($tm2 -  $tm1) / 86400;
			  if($result > $list[$i][wr_6]) { $delay  = $result -  $list[$i][wr_6];
			  echo $delay."일";
			  $panelty= $delay*$list[$i][wr_7];
			  }
		}
		else {
			$_date1 = explode("-",date("Y-m-d", strtotime($list[$i][wr_datetime])));
			$_date2 = explode("-",date("Y-m-d", strtotime($list[$i][wr_3])));
			$tm1 = mktime(0,0,0,$_date1[1],$_date1[2],$_date1[0]);
		    $tm2 = mktime(0,0,0,$_date2[1],$_date2[2],$_date2[0]);

    		$result =  ($tm2 -  $tm1) / 86400;
			if($result > $list[$i][wr_6]) { $delay  = $result -  $list[$i][wr_6];
			echo $delay."일";
			$panelty= $delay*$list[$i][wr_7];
			}
		}

			  //		연체가 되면 시작되면 wr_5로 1로 처리하고 마감일이 없고 wr_5가 1이라면 apply.php에서 경고 메시지 출력
			  // sql_query("upperiod g4_write_lib set wr_4 = '반납' where wr_1 = '$book_return'");
			  //만일  정상 반납의 경우 계산을 하지 않기 위해 wr_5에 2를 넣는다.
			  // wr_5가 2 일 경우 계산을 하지 않는다.
			  //wr_6은 회원의 대여 기간을 넣는다
			  //wr_7은 회원의 연체료를 넣는다
		?>

		</td>
             <td   align=center><?=number_format($panalty)?></td>
	
		
       
       </td>

  

    </tr>
    <? } // end for ?>

    <? if (count($list) == 0) { echo "<tr><td colspan='$colspan' height=100 align=center>대여 도서가 없습니다.</td></tr>"; } ?>

    </table>


    <div class="board_button">
        <div style="float:left;">
        <? if ($list_href) { ?>
        <a href="<?=$list_href?>"><img src="<?php echo $board_skin_url ?>/img/btn_list.gif" align="absmiddle" border='0'></a>
        <? } ?>
       
    </div>
</form>
    <!-- 페이지 -->
    <div class="board_page">
        <? if ($prev_part_href) { echo "<a href='$prev_part_href'><img src='$board_skin_path/img/page_search_prev.gif' border='0' align=absmiddle title='이전검색'></a>"; } ?>
        <?
        // 기본으로 넘어오는 페이지를 아래와 같이 변환하여 이미지로도 출력할 수 있습니다.
        //echo $write_pages;
        $write_pages = str_replace("처음", "<img src='$board_skin_path/img/page_begin.gif' border='0' align='absmiddle' title='처음'>", $write_pages);
        $write_pages = str_replace("이전", "<img src='$board_skin_path/img/page_prev.gif' border='0' align='absmiddle' title='이전'>", $write_pages);
        $write_pages = str_replace("다음", "<img src='$board_skin_path/img/page_next.gif' border='0' align='absmiddle' title='다음'>", $write_pages);
        $write_pages = str_replace("맨끝", "<img src='$board_skin_path/img/page_end.gif' border='0' align='absmiddle' title='맨끝'>", $write_pages);
        //$write_pages = preg_replace("/<span>([0-9]*)<\/span>/", "$1", $write_pages);
        $write_pages = preg_replace("/<b>([0-9]*)<\/b>/", "<b><span style=\"color:#4D6185; font-size:12px; text-decoration:underline;\">$1</span></b>", $write_pages);
        ?>
        <?=$write_pages?>
        <? if ($next_part_href) { echo "<a href='$next_part_href'><img src='$board_skin_path/img/page_search_next.gif' border='0' align=absmiddle title='다음검색'></a>"; } ?>
    </div>

 <!-- 검색 -->
    <div class="board_search" style='position:absolute; left:70%; top:10px; width:250; height:75px; z-index:1;'>
        <form name="fsearch" method="get">
        <input type="hidden" name="bo_table" value="<?=$bo_table?>">
        <input type="hidden" name="sca"      value="<?=$sca?>">
        <select name="sfl">
            <option value="wr_subject" selected>도서명</option>
		           <option value="wr_3">대여자</option>
		           <option value="wr_4">상태</option>
 
        </select>
        <input name="stx" class="stx" maxlength="15" itemname="검색어" required value='<?=stripslashes($stx)?>'>
        <input type="image" src="<?php echo $board_skin_url ?>/img/btn_search.gif" border='0' align="absmiddle">
       
        </form>
    </div>

</td></tr></table>

<script type="text/javascript">
if ('<?=$sca?>') document.fcategory.sca.value = '<?=$sca?>';
if ('<?=$stx?>') {
    document.fsearch.sfl.value = '<?=$sfl?>';

    if ('<?=$sop?>' == 'and') 
        document.fsearch.sop[0].checked = true;

    if ('<?=$sop?>' == 'or')
        document.fsearch.sop[1].checked = true;
} else {
    document.fsearch.sop[0].checked = true;
}
</script>

<script type="text/javascript">
function fwrite_submit(f)
{
    f.action = "<?php echo G5_URL ?>/gnu_lib/apply.php";
    f.submit();
}
</script>
<? if($job == "return") { ?>
<script type="text/javascript">
with (document.fwrite) 
{

    if (typeof(book_return) != "undefined")
        book_return.focus();
	
    else if (typeof(wr_9) != "undefined")
        wr_9.focus();
    else if (typeof(wr_10) != "undefined")
        wr_10.focus();

    if (typeof(ca_name) != "undefined")
        if (w.value == "u")
            ca_name.value = "<?=$write[ca_name]?>";
}
</script>
<? } ?>
<? if($job == "lend" || $job == "") { ?>
<script type="text/javascript">
with (document.fwrite) 
{

    if (typeof(book_lend) != "undefined")
        book_lend.focus();
	
    else if (typeof(wr_9) != "undefined")
        wr_9.focus();
    else if (typeof(wr_10) != "undefined")
        wr_10.focus();

    if (typeof(ca_name) != "undefined")
        if (w.value == "u")
            ca_name.value = "<?=$write[ca_name]?>";
}
</script>
<? } ?>
<? if ($is_checkbox) { ?>
<script type="text/javascript">
function all_checked(sw) {
    var f = document.fboardlist;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]")
            f.elements[i].checked = sw;
    }
}

function check_confirm(str) {
    var f = document.fboardlist;
    var chk_count = 0;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]" && f.elements[i].checked)
            chk_count++;
    }

    if (!chk_count) {
        alert(str + "할 게시물을 하나 이상 선택하세요.");
        return false;
    }
    return true;
}

// 선택한 게시물 삭제
function select_delete() {
    var f = document.fboardlist;

    str = "삭제";
    if (!check_confirm(str))
        return;

    if (!confirm("선택한 게시물을 정말 "+str+" 하시겠습니까?\n\n한번 "+str+"한 자료는 복구할 수 없습니다"))
        return;

    f.action = "./delete_all.php";
    f.submit();
}

// 선택한 게시물 복사 및 이동
function select_copy(sw) {
    var f = document.fboardlist;

    if (sw == "copy")
        str = "복사";
    else
        str = "이동";
                       
    if (!check_confirm(str))
        return;

    var sub_win = window.open("", "move", "left=50, top=50, width=500, height=550, scrollbars=1");

    f.sw.value = sw;
    f.target = "move";
    f.action = "./move.php";
    f.submit();
}
</script>
<? } ?>
<!-- 게시판 목록 끝 -->
